curl --request POST \
--url https://api.defindex.io/vault/{address}/lock-fees \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"new_fee_bps": 20,
"caller": "GB7NTQG4EXB7NZEA5GNFHIHEQVTGQTZ6OWKWUD535FBEHNSEVCKZULIY"
}
'{
"xdr": "<string>",
"simulationResponse": {},
"functionName": "<string>",
"params": {}
}Lock vault fees
Manager Function: Locks the fees accrued by the vault, preventing further accrual until the fees are released or distributed. This operation is performed by the manager to manage fee collection and distribution.
curl --request POST \
--url https://api.defindex.io/vault/{address}/lock-fees \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"new_fee_bps": 20,
"caller": "GB7NTQG4EXB7NZEA5GNFHIHEQVTGQTZ6OWKWUD535FBEHNSEVCKZULIY"
}
'{
"xdr": "<string>",
"simulationResponse": {},
"functionName": "<string>",
"params": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Stellar address of the vault contract
"CBNKCU3HGFKHFOF7JTGXQCNKE3G3DXS5RDBQUKQMIIECYKXPIOUGB2S3"
Query Parameters
Stellar network to execute the transaction on (testnet or mainnet)
testnet, mainnet Body
Lock fees parameters. This operation may include the new fee basis points to set.
Stellar address of the user initiating the lock fees operation. Must be a valid Stellar public key with Manager role.
"GB7NTQG4EXB7NZEA5GNFHIHEQVTGQTZ6OWKWUD535FBEHNSEVCKZULIY"
New fee basis points (bps) to set. If not provided, fees will not be changed.
0 <= x <= 10000100
Was this page helpful?